package com.pcloud.book.custom.biz;

import com.pcloud.book.custom.entity.CustomReadPlan;
import com.pcloud.common.page.PageBeanNew;

public interface CustomReadPlanBiz {
    Long addCustomReadPlan(CustomReadPlan customReadPlan);

    void updateCustomReadPlan(CustomReadPlan customReadPlan);

    void deleteCustomReadPlan(Long customReadPlanId);

    PageBeanNew<CustomReadPlan> getCustomReadPlanList(Integer currentPage, Integer numPerPage, Integer robotType);

    CustomReadPlan getCustomReadPlanById(Long customReadPlanId);

    Long copyCustomReadPlanById(Long customReadPlanId);
}
